Whatsapp accounts
GET
/whatsapp-accounts

Linked WhatsApp numbers, newest first: status, connection, today's caps (the warm-up applied), usage, warm-up, and WhatsApp's own limits on the number (its new-chat quota and its block on new chats).

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created on the Access tokens page.

In: header

Query Parameters

limit?integer

Page size, 1–100.

Range1 <= value <= 100
Default50
offset?integer

Number of records to skip.

Range0 <= value
Default0

Response Body

application/json

application/json

curl -X GET "https://example.com/whatsapp-accounts"
{  "data": [    {      "id": "string",      "label": "string",      "phoneNumber": "string",      "name": "string",      "picture": "string",      "isBusiness": true,      "connectedVia": "app",      "status": "pending",      "connection": "connected",      "error": "string",      "errorCode": "string",      "paused": true,      "pausedReason": "string",      "pausedAt": "2019-08-24T14:15:22Z",      "connectedAt": "2019-08-24T14:15:22Z",      "linkedAt": "2019-08-24T14:15:22Z",      "limits": {        "newChats": 0,        "followUps": 0,        "checks": 0      },      "limitsToday": {        "newChats": 0,        "followUps": 0,        "checks": 0      },      "usage": {},      "warmup": {        "enabled": true,        "status": "off",        "start": 0,        "step": 0,        "everyDays": 0,        "day": 0,        "newChatsToday": 0,        "target": 0,        "quietUntil": "2019-08-24T14:15:22Z",        "fullSpeedAt": "2019-08-24T14:15:22Z"      },      "newChatQuota": {        "total": 0,        "used": 0,        "status": "NONE",        "cycleEndsAt": "2019-08-24T14:15:22Z"      },      "newChatsPausedUntil": "2019-08-24T14:15:22Z",      "restriction": {        "active": true,        "endsAt": "2019-08-24T14:15:22Z",        "type": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "paging": {    "limit": 0,    "offset": 0  }}